
%global  mpd_user            mpd
%global  mpd_group           audio

%global  mpd_homedir         %{_localstatedir}/lib/mpd
%global  mpd_logdir          %{_localstatedir}/log/mpd
%global  mpd_musicdir        %{mpd_homedir}/music
%global  mpd_playlistsdir    %{mpd_homedir}/playlists
%global  mpd_rundir          /run/mpd

%global  mpd_configfile      %{_sysconfdir}/mpd.conf
%global  mpd_dbfile          %{mpd_homedir}/mpd.db
%global  mpd_statefile       %{mpd_homedir}/mpdstate
%global  mpd_logfile         %{mpd_logdir}/mpd.log

Name:           mpd
Version:        0.23.5
Release:        %mkrel 1
Summary:        The Music Player Daemon
License:        GPLv2+
URL:            https://www.musicpd.org
Group:          Sound
Source0:        %{url}/download/mpd/0.22/mpd-%{version}.tar.xz
Source1:        mpd.init
Source2:        mpd.db
Source3:        mpd.logrotate
Source4:        mpd.conf
Source5:        mpdstate

BuildRequires:	meson
BuildRequires:	pkgconfig(icu-i18n)
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(atomic_ops)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	avahi-common-devel
BuildRequires:	pkgconfig(avahi-client)
BuildRequires:	pkgconfig(avahi-glib)
BuildRequires:	boost-devel
BuildRequires:	bzip2-devel
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libgcrypt)
BuildRequires:  pkgconfig(liburing)
BuildRequires:	pkgconfig(expat)
BuildRequires:	pkgconfig(avahi-client)
BuildRequires:	pkgconfig(libchromaprint)
# sound servers
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(jack)
BuildRequires:	pkgconfig(libpulse)
BuildRequires:	pkgconfig(fluidsynth) 
BuildRequires:	pkgconfig(libmms) 
BuildRequires:	pkgconfig(openal)
# multimedia formats
BuildRequires:	pkgconfig(ao)
BuildRequires:	pkgconfig(audiofile)
BuildRequires:	pkgconfig(flac) 
BuildRequires:	pkgconfig(flac++)
BuildRequires:	pkgconfig(id3tag)
BuildRequires:	pkgconfig(libcdio_paranoia)
BuildRequires:	pkgconfig(libiso9660)
BuildRequires:	pkgconfig(libmodplug)
BuildRequires:	pkgconfig(libmpg123)
BuildRequires:	pkgconfig(libnfs)
BuildRequires:	pkgconfig(libsoup-2.4)
BuildRequires:	pkgconfig(libupnp)
BuildRequires:	pkgconfig(mad)
BuildRequires:	pkgconfig(ogg)
BuildRequires:	pkgconfig(opus)
BuildRequires:	pkgconfig(samplerate)
BuildRequires:	pkgconfig(shout)
BuildRequires:	pkgconfig(sndfile)
BuildRequires:	pkgconfig(soxr)
BuildRequires:	pkgconfig(twolame)
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(vorbisenc)
BuildRequires:	pkgconfig(vorbisfile)
BuildRequires:	pkgconfig(wavpack)
BuildRequires:	pkgconfig(yajl)
BuildRequires:	pkgconfig(zziplib)
BuildRequires:	ffmpeg-devel
BuildRequires:	libgme-devel
BuildRequires:	libmikmod-devel
BuildRequires:	wildmidi-devel
BuildRequires:	lame-devel
BuildRequires:	wrap-devel
BuildRequires:	libfaad2-devel

Requires: lib64alsa2
Requires: lib64ao4
Requires: lib64audiofile1
Requires: lib64avahi-client3
Requires: lib64avahi-common3
Requires: lib64avcodec58
Requires: lib64avfilter7
Requires: lib64avformat58
Requires: lib64avutil56
Requires: lib64bzip2_1
Requires: lib64cdio12
Requires: lib64cdio-paranoia2
Requires: lib64curl4
Requires: lib64dbus-1_3
Requires: lib64expat1
Requires: lib64faad2
Requires: lib64flac8
Requires: lib64fluidsynth3
Requires: lib64glib2.0_0
Requires: lib64icu69
Requires: lib64id3tag0
Requires: lib64iso9660_7
Requires: lib64ixml11
Requires: lib64jack0
Requires: lib64lame0 
Requires: lib64mad0 
Requires: lib64mikmod3
Requires: lib64mms0 
Requires: lib64modplug1
Requires: lib64mpdclient2
Requires: lib64mpg123_0
Requires: lib64nfs13 
Requires: lib64ogg0 
Requires: lib64openal1
Requires: lib64opus0
Requires: lib64pcre1
Requires: lib64pulseaudio0 
Requires: lib64samplerate0 
Requires: lib64shout3
Requires: lib64sndfile1
Requires: lib64soxr0
Requires: lib64sqlite3_0
Requires: lib64twolame0
Requires: lib64upnp17
Requires: lib64uring2
Requires: lib64vorbis0 
Requires: lib64vorbisenc2
Requires: lib64wavpack1
Requires: lib64wildmidi2
Requires: lib64yajl2 
Requires: lib64zziplib13


%description
Music Player Daemon (MPD) is a flexible, powerful, server-side application for
playing music. Through plugins and libraries it can play a variety of sound
files (e.g., OGG, MP3, FLAC, AAC, WAV) and can be controlled remotely via its
network protocol. It can be used as a desktop music player, but is also great
for streaming music to a stereo system over a local network. There are many
GUI and command-line applications to choose from that act as a front-end for
browsing and playing your MPD music collection.



%prep
%setup -q

%build
%{meson} \
    -Dadplug=disabled \
    -Dipv6=enabled \
    -Dpipe=true \
    -Ddocumentation=disabled \
    -Dsolaris_output=disabled \
    -Dsndio=disabled \
    -Dchromaprint=disabled \
    -Dgme=disabled \
    -Dmpcdec=disabled \
    -Dshine=disabled \
    -Dsidplay=disabled \
    -Dtremor=disabled

%{meson_build}

%install
%{meson_install}

install -p -D -m 0644 %{SOURCE3} %{buildroot}%{_sysconfdir}/logrotate.d/mpd

mkdir -p %{buildroot}/run

install -d -m 0755 %{buildroot}/%{mpd_rundir}

mkdir -p %{buildroot}%{mpd_homedir}
mkdir -p %{buildroot}%{mpd_logdir}
mkdir -p %{buildroot}%{mpd_musicdir}
mkdir -p %{buildroot}%{mpd_playlistsdir}
touch %{buildroot}%{mpd_logfile}

rm -rf %{buildroot}%{_docdir}/mpd/

install -D %{SOURCE1} %{buildroot}%{_initrddir}/%{name}
chmod 0755  %{buildroot}%{_initrddir}/%{name}

install -D %{SOURCE2} %buildroot/var/lib/mpd/mpd.db
install -D %{SOURCE5} %buildroot/var/lib/mpd/mpdstate
install -D %{SOURCE4} %buildroot/etc/mpd.conf


%pre

#clean
rm -f /etc/mpd.conf

%_pre_useradd mpd /var/lib/mpd /bin/false
usermod -g audio mpd


%post
%_post_service %{name}

service mpd stop > /dev/null 2>&1
service mpd start > /dev/null 2>&1

%preun
%_preun_service %{name}

%postun
%_postun_userdel %{name}

%files
%{_bindir}/mpd
%config(noreplace) %{mpd_configfile}
%config(noreplace) %{_sysconfdir}/logrotate.d/mpd
%{_datadir}/icons/hicolor/scalable/apps/mpd.svg
%{_initrddir}/%{name}

%defattr(-,%{mpd_user},%{mpd_group})
%dir %{mpd_homedir}
%dir %{mpd_logdir}
%dir %{mpd_musicdir}
%dir %{mpd_playlistsdir}
%ghost %dir %{mpd_rundir}
%ghost %{mpd_logfile}
%attr(644,%{mpd_user},%{mpd_group}) %mpd_dbfile
%attr(644,%{mpd_user},%{mpd_group}) %mpd_statefile 

%changelog
* Tue Sep 13 2022 tex - 0.23.5-1pclos2022
- new version

* Tue Sep 13 2022 tex - 0.23.4-1pclos2022
- new version

* Mon Nov 01 2021 tex - 0.23.3-1pclos2021
- new version

* Thu Oct 14 2021 tex - 0.22.9-3pclos2021
- rebuild against updates

* Wed Sep 22 2021 tex - 0.22.9-2pclos2021
- rebuild against updates

* Thu Jun 24 2021 tex - 0.22.9-1pclos2021
- new version

* Wed Jun 09 2021 tex - 0.22.8-2pclos2021
- remove devel req

* Sun May 30 2021 tex - 0.22.8-1pclos2021
- new version
